# Snapshot report for `lib/annotate-openapi.test.js`

The actual snapshot is saved in `annotate-openapi.test.js.snap`.

Generated by [AVA](https://avajs.dev).

## annotateOpenAPI solder-etl

> Snapshot 1

    {
      components: {
        schemas: {
          ChangeableTapTargetData: {
            properties: {
              api_key: {
                title: 'Api Key',
                type: 'string',
              },
              id: {
                title: 'Id',
                type: 'string',
              },
              postgres_database: {
                title: 'Postgres Database',
                type: 'string',
              },
              postgres_host: {
                title: 'Postgres Host',
                type: 'string',
              },
              postgres_password: {
                title: 'Postgres Password',
                type: 'string',
              },
              postgres_port: {
                title: 'Postgres Port',
                type: 'integer',
              },
              postgres_schema: {
                title: 'Postgres Schema',
                type: 'string',
              },
              postgres_username: {
                title: 'Postgres Username',
                type: 'string',
              },
              url: {
                title: 'Url',
                type: 'string',
              },
            },
            required: [
              'id',
            ],
            title: 'ChangeableTapTargetData',
            type: 'object',
          },
          HTTPValidationError: {
            properties: {
              detail: {
                items: {
                  $ref: '#/components/schemas/ValidationError',
                },
                title: 'Detail',
                type: 'array',
              },
            },
            title: 'HTTPValidationError',
            type: 'object',
          },
          TapTargetData: {
            properties: {
              api_key: {
                title: 'Api Key',
                type: 'string',
              },
              postgres_database: {
                title: 'Postgres Database',
                type: 'string',
              },
              postgres_host: {
                title: 'Postgres Host',
                type: 'string',
              },
              postgres_password: {
                title: 'Postgres Password',
                type: 'string',
              },
              postgres_port: {
                title: 'Postgres Port',
                type: 'integer',
              },
              postgres_schema: {
                title: 'Postgres Schema',
                type: 'string',
              },
              postgres_username: {
                title: 'Postgres Username',
                type: 'string',
              },
              url: {
                title: 'Url',
                type: 'string',
              },
            },
            required: [
              'url',
              'api_key',
              'postgres_host',
              'postgres_port',
              'postgres_database',
              'postgres_username',
              'postgres_password',
              'postgres_schema',
            ],
            title: 'TapTargetData',
            type: 'object',
          },
          ValidationError: {
            properties: {
              loc: {
                items: {
                  type: 'string',
                },
                title: 'Location',
                type: 'array',
              },
              msg: {
                title: 'Message',
                type: 'string',
              },
              type: {
                title: 'Error Type',
                type: 'string',
              },
            },
            required: [
              'loc',
              'msg',
              'type',
            ],
            title: 'ValidationError',
            type: 'object',
          },
        },
        securitySchemes: {
          'API Key': {
            description: `Optional API key for authenticated access.␊
            ␊
            ␊
            Unauthenticated (public) requests are subject to rate limiting. See [pricing](/pricing) for specifics on these rate limits.␊
            ␊
            You can view and manage your API key in the [Dashboard](/dashboard).␊
            ␊
            Be sure to keep your API key secure. Do not share it in publicly accessible areas such as GitHub, client-side code, and so forth.␊
            ␊
            All API requests must be made over HTTPS. Calls made over plain HTTP will fail.`,
            in: 'header',
            name: 'Authorization',
            type: 'apiKey',
          },
        },
      },
      info: {
        contact: {
          email: 'support@saasify.sh',
          name: 'API Support',
        },
        termsOfService: '/terms',
        title: 'solder',
        version: 'v0.1.0',
      },
      openapi: '3.0.2',
      paths: {
        '/nhano0228/solder@40433366/activecampaign-postgres/create-user/': {
          post: {
            operationId: 'create_user_activecampaign_postgres_create_user__post',
            requestBody: {
              content: {
                'application/json': {
                  examples: {},
                  schema: {
                    $ref: '#/components/schemas/TapTargetData',
                  },
                },
              },
              required: true,
            },
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {},
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Create User',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/end-job/': {
          get: {
            operationId: 'end_job_activecampaign_postgres_end_job__get',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {},
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'End Job',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/get-current-running-jobs/': {
          get: {
            operationId: 'get_current_running_jobs_activecampaign_postgres_get_current_running_jobs__get',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      Advanced: {
                        description: undefined,
                        summary: 'Advanced',
                        value: {},
                      },
                      Basic: {
                        description: undefined,
                        summary: 'Basic',
                        value: {},
                      },
                    },
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Get Current Running Jobs',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'http://localhost:5100/nhano0228/solder@40433366/activecampaign-postgres/get-current-running-jobs/?uuid=fugiat%20dolore%20ullamco%20anim%20adipisicing'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'http://localhost:5100/nhano0228/solder@40433366/activecampaign-postgres/get-current-running-jobs/',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/get-user/': {
          get: {
            operationId: 'get_user_activecampaign_postgres_get_user__get',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      Advanced: {
                        description: undefined,
                        summary: 'Advanced',
                        value: null,
                      },
                    },
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Get User',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'http://localhost:5100/nhano0228/solder@40433366/activecampaign-postgres/get-user/?uuid=sit'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'http://localhost:5100/nhano0228/solder@40433366/activecampaign-postgres/get-user/',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/modify-current-job/': {
          post: {
            operationId: 'modify_current_job_activecampaign_postgres_modify_current_job__post',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'cron',
                required: true,
                schema: {
                  title: 'Cron',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {},
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Modify Current Job',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/modify-user/': {
          post: {
            operationId: 'modify_user_activecampaign_postgres_modify_user__post',
            requestBody: {
              content: {
                'application/json': {
                  examples: {},
                  schema: {
                    $ref: '#/components/schemas/ChangeableTapTargetData',
                  },
                },
              },
              required: true,
            },
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {},
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Modify User',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/perform-etl-all-data/': {
          post: {
            operationId: 'perform_etl_all_data_activecampaign_postgres_perform_etl_all_data__post',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {},
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Perform Etl All Data',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/perform-etl-by-category/': {
          post: {
            operationId: 'perform_etl_by_category_activecampaign_postgres_perform_etl_by_category__post',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {},
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Perform Etl By Category',
            tags: [
              'Endpoints',
            ],
          },
        },
        '/nhano0228/solder@40433366/activecampaign-postgres/start-job/': {
          get: {
            operationId: 'start_job_activecampaign_postgres_start_job__get',
            parameters: [
              {
                in: 'query',
                name: 'uuid',
                required: true,
                schema: {
                  title: 'Uuid',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'category',
                required: true,
                schema: {
                  title: 'Category',
                  type: 'string',
                },
              },
              {
                in: 'query',
                name: 'cron',
                required: true,
                schema: {
                  title: 'Cron',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {},
                    schema: {},
                  },
                },
                description: 'Successful Response',
              },
              400: {
                description: 'Invalid input',
              },
              422: {
                content: {
                  'application/json': {
                    schema: {
                      $ref: '#/components/schemas/HTTPValidationError',
                    },
                  },
                },
                description: 'Validation Error',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'Start Job',
            tags: [
              'Endpoints',
            ],
          },
        },
      },
      security: [
        {
          'API Key': [],
        },
      ],
      servers: [
        {
          url: 'https://ssfy.sh',
        },
      ],
      tags: [
        {
          name: 'Endpoints',
          'x-displayName': 'Endpoints',
        },
      ],
    }

## annotateOpenAPI synopsis

> Snapshot 1

    {
      components: {
        schemas: {
          SummarizationItem: {
            additionalProperties: false,
            properties: {
              attributionScore: {
                type: 'number',
              },
              index: {
                type: 'number',
              },
              liScore: {
                type: 'number',
              },
              nodeScore: {
                type: 'number',
              },
              readabilityScore: {
                type: 'number',
              },
              score: {
                type: 'number',
              },
              sentence: {
                $ref: '#/components/schemas/SummarizationSentence',
              },
              tfidfScore: {
                type: 'number',
              },
            },
            type: 'object',
          },
          SummarizationResult: {
            additionalProperties: false,
            properties: {
              abstractive: {
                items: {
                  type: 'string',
                },
                type: 'array',
              },
              extractive: {
                items: {
                  type: 'string',
                },
                type: 'array',
              },
              items: {
                items: {
                  $ref: '#/components/schemas/SummarizationItem',
                },
                type: 'array',
              },
              title: {
                type: 'string',
              },
              topItems: {
                items: {
                  $ref: '#/components/schemas/SummarizationItem',
                },
                type: 'array',
              },
            },
            type: 'object',
          },
          SummarizationSentence: {
            additionalProperties: false,
            properties: {
              actual: {
                type: 'string',
              },
              listItem: {
                type: 'number',
              },
              normalized: {
                type: 'string',
              },
              original: {
                type: 'string',
              },
              tokenized: {
                items: {
                  type: 'string',
                },
                type: 'array',
              },
            },
            type: 'object',
          },
        },
        securitySchemes: {
          'API Key': {
            description: `Optional API key for authenticated access.␊
            ␊
            ␊
            Unauthenticated (public) requests are subject to rate limiting. See [pricing](/pricing) for specifics on these rate limits.␊
            ␊
            You can view and manage your API key in the [Dashboard](/dashboard).␊
            ␊
            Be sure to keep your API key secure. Do not share it in publicly accessible areas such as GitHub, client-side code, and so forth.␊
            ␊
            All API requests must be made over HTTPS. Calls made over plain HTTP will fail.`,
            in: 'header',
            name: 'Authorization',
            type: 'apiKey',
          },
        },
      },
      info: {
        contact: {
          email: 'support@saasify.sh',
          name: 'API Support',
        },
        termsOfService: '/terms',
        title: 'synopsis',
        version: 'v1.0.7',
      },
      openapi: '3.0.2',
      paths: {
        '/dev/synopsis@15f060e3/detail': {
          get: {
            description: `Summarizes the content of any `url` or `input` text.␊
            ␊
            Must provide either `url` or `input`.␊
            ␊
            Returns a more verbose description of the summary and intermediary scoring␊
            for all input content.`,
            operationId: 'detailGET',
            parameters: [
              {
                description: 'Link to website to summarize.',
                in: 'query',
                name: 'url',
                schema: {
                  description: 'Link to website to summarize.',
                  example: 'https://www.theonion.com/everyone-involved-in-pizzas-preparation-delivery-purc-1819564897',
                  type: 'string',
                },
              },
              {
                description: 'Text or HTML to summarize.',
                in: 'query',
                name: 'input',
                schema: {
                  description: 'Text or HTML to summarize.',
                  type: 'string',
                },
              },
              {
                description: 'Title of `input` content.',
                in: 'query',
                name: 'title',
                schema: {
                  description: 'Title of `input` content.',
                  type: 'string',
                },
              },
              {
                description: `Optional number of sentences to produce. Default is to␊
                infer a reasonable number based on the input's length.`,
                in: 'query',
                name: 'numSentences',
                schema: {
                  description: `Optional number of sentences to produce. Default is to␊
                  infer a reasonable number based on the input's length.`,
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum number of sentences to produce.',
                in: 'query',
                name: 'minNumSentences',
                schema: {
                  default: 1,
                  description: 'Optional minimum number of sentences to produce.',
                  type: 'number',
                },
              },
              {
                description: 'Optional maximum number of sentences to produce.',
                in: 'query',
                name: 'maxNumSentences',
                schema: {
                  default: 1000,
                  description: 'Optional maximum number of sentences to produce.',
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum image width when considering images in HTML.',
                in: 'query',
                name: 'minImageWidth',
                schema: {
                  default: 400,
                  description: 'Optional minimum image width when considering images in HTML.',
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum image height when considering images in HTML.',
                in: 'query',
                name: 'minImageHeight',
                schema: {
                  default: 300,
                  description: 'Optional minimum image height when considering images in HTML.',
                  type: 'number',
                },
              },
              {
                description: 'Whether or not to consider source media during summarization.',
                in: 'query',
                name: 'media',
                schema: {
                  default: false,
                  description: 'Whether or not to consider source media during summarization.',
                  type: 'boolean',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      'The Onion': {
                        description: undefined,
                        summary: 'The Onion',
                        value: {
                          abstractive: [
                            'Everyone Involved In Pizza\'s Preparation, Delivery, Buy Extremely High',
                            'After taking the order, Lindeman relayed it to co-worker and fellow stoner Greg Kanner.',
                            'At 1 a.m. Monday, the pizza came into material being for the first time.',
                            '"After all, it\'s just pizza, right?',
                            '"For one, Behr went to the wrong discuss at least four times.',
                            'Also, Bickell and Wang had forgotten to include their apartment number with the order.',
                            'Fuck!" Behr later described the prolonged Blount Street search as "a serious fucking hassle."',
                            '"They were seriously bitching me out," said Lindeman, who was royally baked at the time.',
                          ],
                          extractive: [
                            'Everyone Involved In Pizza\'s Preparation, Delivery, Purchase Extremely High',
                            'After taking the order, Lindeman relayed it to co-worker and fellow stoner Greg Kanner.',
                            'At 1 a.m. Monday, the pizza came into material being for the first time.',
                            '"After all, it\'s just pizza, right?',
                            '"For one, Behr went to the wrong address at least four times.',
                            'Also, Bickell and Wang had forgotten to include their apartment number with the order.',
                            'Fuck!" Behr later described the prolonged Blount Street search as "a serious fucking hassle."',
                            '"They were seriously bitching me out," said Lindeman, who was royally baked at the time.',
                          ],
                          items: [
                            {
                              attributionScore: 0,
                              index: 13,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 1.5766339264971847,
                              sentence: {
                                actual: 'At 1 a.m. Monday, the pizza came into material being for the first time.',
                                normalized: 'at 1 am monday the pizza came into material being for the first time',
                                original: 'At 1 a.m. Monday, the pizza came into material being for the first time.',
                                tokenized: [
                                  'monday',
                                  'pizza',
                                  'material',
                                  'time',
                                ],
                              },
                              tfidfScore: 1.5766339264971847,
                            },
                            {
                              attributionScore: 0,
                              index: 16,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 1.4015677324244655,
                              sentence: {
                                actual: '"After all, it\'s just pizza, right?',
                                normalized: '"after all its just pizza right?',
                                original: '"After all, it\'s just pizza, right?',
                                tokenized: [
                                  'pizza',
                                ],
                              },
                              tfidfScore: 1.4015677324244655,
                            },
                            {
                              attributionScore: 0,
                              index: 22,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.8816670744475258,
                              sentence: {
                                actual: 'Also, Bickell and Wang had forgotten to include their apartment number with the order.',
                                normalized: 'also bickell and wang had forgotten to include their apartment number with the order',
                                original: 'Also, Bickell and Wang had forgotten to include their apartment number with the order.',
                                tokenized: [
                                  'bickell',
                                  'wang',
                                  'forgotten',
                                  'include',
                                  'apartment',
                                  'number',
                                  'order',
                                ],
                              },
                              tfidfScore: 0.8816670744475258,
                            },
                            {
                              attributionScore: 0,
                              index: 11,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.7659762613507658,
                              sentence: {
                                actual: 'After taking the order, Lindeman relayed it to co-worker and fellow stoner Greg Kanner.',
                                normalized: 'after taking the order lindeman relayed it to coworker and fellow stoner greg kanner',
                                original: 'After taking the order, Lindeman relayed it to co-worker and fellow stoner Greg Kanner.',
                                tokenized: [
                                  'order',
                                  'lindeman',
                                  'relayed',
                                  'coworker',
                                  'fellow',
                                  'stoner',
                                  'greg',
                                  'kanner',
                                ],
                              },
                              tfidfScore: 0.7659762613507658,
                            },
                            {
                              attributionScore: 0,
                              index: 27,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.6699871943774383,
                              sentence: {
                                actual: '"They were seriously bitching me out," said Lindeman, who was royally baked at the time.',
                                normalized: '"they were seriously bitching me out" said lindeman who was royally baked at the time',
                                original: '"They were seriously bitching me out," said Lindeman, who was royally baked at the time.',
                                tokenized: [
                                  'bitching',
                                  'lindeman',
                                  'royally',
                                  'baked',
                                  'time',
                                ],
                              },
                              tfidfScore: 0.6699871943774383,
                            },
                            {
                              attributionScore: 0,
                              index: 25,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.6004265117467663,
                              sentence: {
                                actual: 'Fuck!" Behr later described the prolonged Blount Street search as "a serious fucking hassle."',
                                normalized: 'fuck!" behr later described the prolonged blount street search as "a serious fucking hassle"',
                                original: 'Fuck!" Behr later described the prolonged Blount Street search as "a serious fucking hassle."',
                                tokenized: [
                                  'fuck',
                                  'behr',
                                  'prolonged',
                                  'blount',
                                  'street',
                                  'search',
                                  'fucking',
                                  'hassle',
                                ],
                              },
                              tfidfScore: 0.6004265117467663,
                            },
                            {
                              attributionScore: 0,
                              index: 21,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.46875318377243924,
                              sentence: {
                                actual: '"For one, Behr went to the wrong address at least four times.',
                                normalized: '"for one behr went to the wrong address at least four times',
                                original: '"For one, Behr went to the wrong address at least four times.',
                                tokenized: [
                                  'behr',
                                  'wrong',
                                  'address',
                                  'times',
                                ],
                              },
                              tfidfScore: 0.46875318377243924,
                            },
                            {
                              attributionScore: 0,
                              index: 31,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.4402011125374412,
                              sentence: {
                                actual: 'We invited him in and the three of us just pulled bingers and chowed that shit down.',
                                normalized: 'we invited him in and the three of us just pulled bingers and chowed that shit down',
                                original: 'We invited him in and the three of us just pulled bingers and chowed that shit down.',
                                tokenized: [
                                  'invited',
                                  'pulled',
                                  'bingers',
                                  'chowed',
                                  'shit',
                                ],
                              },
                              tfidfScore: 0.4402011125374412,
                            },
                            {
                              attributionScore: 0,
                              index: 34,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.3700375362763039,
                              sentence: {
                                actual: 'Added Bickell: "Then we all just sat back and vegged out.',
                                normalized: 'added bickell: "then we all just sat back and vegged out',
                                original: 'Added Bickell: "Then we all just sat back and vegged out.',
                                tokenized: [
                                  'added',
                                  'bickell',
                                  'sat',
                                  'vegged',
                                ],
                              },
                              tfidfScore: 0.3700375362763039,
                            },
                            {
                              attributionScore: 0,
                              index: 5,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.3642737582838013,
                              sentence: {
                                actual: 'After an exhaustive search, it was finally found on the coffee table directly next to the phone.',
                                normalized: 'after an exhaustive search it was finally found on the coffee table directly next to the phone',
                                original: 'After an exhaustive search, it was finally found on the coffee table directly next to the phone.',
                                tokenized: [
                                  'exhaustive',
                                  'search',
                                  'finally',
                                  'coffee',
                                  'table',
                                  'phone',
                                ],
                              },
                              tfidfScore: 0.3642737582838013,
                            },
                            {
                              attributionScore: 0,
                              index: 17,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.29665118079752223,
                              sentence: {
                                actual: 'But I was so high, I got kind of confused about the toppings.',
                                normalized: 'but i was so high i got kind of confused about the toppings',
                                original: 'But I was so high, I got kind of confused about the toppings.',
                                tokenized: [
                                  'high',
                                  'kind',
                                  'confused',
                                  'toppings',
                                ],
                              },
                              tfidfScore: 0.29665118079752223,
                            },
                            {
                              attributionScore: 0,
                              index: 7,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.2962635584586804,
                              sentence: {
                                actual: '"It took me a while to figure out what they wanted," Lindeman said.',
                                normalized: '"it took me a while to figure out what they wanted" lindeman said',
                                original: '"It took me a while to figure out what they wanted," Lindeman said.',
                                tokenized: [
                                  'figure',
                                  'wanted',
                                  'lindeman',
                                ],
                              },
                              tfidfScore: 0.2962635584586804,
                            },
                            {
                              attributionScore: 0,
                              index: 18,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0,
                              sentence: {
                                actual: 'It was no big deal, though."',
                                normalized: 'it was no big deal though"',
                                original: 'It was no big deal, though."',
                                tokenized: [
                                  'big',
                                  'deal',
                                ],
                              },
                              tfidfScore: 0,
                            },
                            {
                              attributionScore: 0,
                              index: 33,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0,
                              sentence: {
                                actual: 'To tell you the truth, I don\'t think he even noticed."',
                                normalized: 'to tell you the truth i dont think he even noticed"',
                                original: 'To tell you the truth, I don\'t think he even noticed."',
                                tokenized: [
                                  'truth',
                                  'noticed',
                                ],
                              },
                              tfidfScore: 0,
                            },
                            {
                              attributionScore: 0,
                              index: 30,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0,
                              sentence: {
                                actual: '"But he said we could have it free, so we weren\'t pissed or nothing.',
                                normalized: '"but he said we could have it free so we werent pissed or nothing',
                                original: '"But he said we could have it free, so we weren\'t pissed or nothing.',
                                tokenized: [
                                  'free',
                                  'pissed',
                                ],
                              },
                              tfidfScore: 0,
                            },
                            {
                              attributionScore: 0,
                              index: 15,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -0.9583333333333334,
                              score: -0.28204716763766835,
                              sentence: {
                                actual: '"I wasn\'t really trained to do what I was doing, but I figured, shit, how hard can it be?" Kanner said.',
                                normalized: '"i wasnt really trained to do what i was doing but i figured shit how hard can it be?" kanner said',
                                original: '"I wasn\'t really trained to do what I was doing, but I figured, shit, how hard can it be?" Kanner said.',
                                tokenized: [
                                  'trained',
                                  'figured',
                                  'shit',
                                  'hard',
                                  'kanner',
                                ],
                              },
                              tfidfScore: 0.676286165695665,
                            },
                            {
                              attributionScore: 0,
                              index: 2,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -1.7083333333333335,
                              score: -0.3764614305736076,
                              sentence: {
                                actual: '"In the brief time this pizza spent on Earth, at no point did it come into contact with a single non-stoned human being."',
                                normalized: '"in the brief time this pizza spent on earth at no point did it come into contact with a single nonstoned human being"',
                                original: '"In the brief time this pizza spent on Earth, at no point did it come into contact with a single non-stoned human being."',
                                tokenized: [
                                  'time',
                                  'pizza',
                                  'spent',
                                  'earth',
                                  'point',
                                  'contact',
                                  'single',
                                  'nonstoned',
                                  'human',
                                ],
                              },
                              tfidfScore: 1.331871902759726,
                            },
                            {
                              attributionScore: 0,
                              index: 8,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -1.8333333333333333,
                              score: -0.6109759683136802,
                              sentence: {
                                actual: '"When I was listing off the toppings we\'ve got, they kept asking if they could get, like, Fritos or sandwiches on the pizza.',
                                normalized: '"when i was listing off the toppings weve got they kept asking if they could get like fritos or sandwiches on the pizza',
                                original: '"When I was listing off the toppings we\'ve got, they kept asking if they could get, like, Fritos or sandwiches on the pizza.',
                                tokenized: [
                                  'listing',
                                  'toppings',
                                  'fritos',
                                  'sandwiches',
                                  'pizza',
                                ],
                              },
                              tfidfScore: 1.222357365019653,
                            },
                            {
                              attributionScore: 0,
                              index: 32,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -1.125,
                              score: -0.7074906800516556,
                              sentence: {
                                actual: 'It\'s, like, against the Wangster\'s beliefs and shit to eat sausage and pepperoni, but he was cool about it.',
                                normalized: 'its like against the wangsters beliefs and shit to eat sausage and pepperoni but he was cool about it',
                                original: 'It\'s, like, against the Wangster\'s beliefs and shit to eat sausage and pepperoni, but he was cool about it.',
                                tokenized: [
                                  'wangsters',
                                  'beliefs',
                                  'shit',
                                  'eat',
                                  'sausage',
                                  'pepperoni',
                                  'cool',
                                ],
                              },
                              tfidfScore: 0.41750931994834434,
                            },
                            {
                              attributionScore: 0,
                              index: 26,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -2.4166666666666665,
                              score: -0.7615132152631439,
                              sentence: {
                                actual: 'Matters were further complicated by the five phone calls Bickell and Wang made to the pizzeria to inquire about the status of their pizza.',
                                normalized: 'matters were further complicated by the five phone calls bickell and wang made to the pizzeria to inquire about the status of their pizza',
                                original: 'Matters were further complicated by the five phone calls Bickell and Wang made to the pizzeria to inquire about the status of their pizza.',
                                tokenized: [
                                  'matters',
                                  'complicated',
                                  'phone',
                                  'calls',
                                  'bickell',
                                  'wang',
                                  'pizzeria',
                                  'inquire',
                                  'status',
                                  'pizza',
                                ],
                              },
                              tfidfScore: 1.6551534514035227,
                            },
                            {
                              attributionScore: 0,
                              index: 23,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -2,
                              score: -1.4692419807197425,
                              sentence: {
                                actual: 'Furthermore, Behr ran out of gas about 10 minutes into the trip and had to walk to a nearby station with a gas can to get more."',
                                normalized: 'furthermore behr ran out of gas about 10 minutes into the trip and had to walk to a nearby station with a gas can to get more"',
                                original: 'Furthermore, Behr ran out of gas about 10 minutes into the trip and had to walk to a nearby station with a gas can to get more."',
                                tokenized: [
                                  'behr',
                                  'ran',
                                  'gas',
                                  '10',
                                  'minutes',
                                  'trip',
                                  'walk',
                                  'nearby',
                                  'station',
                                  'gas',
                                ],
                              },
                              tfidfScore: 0.5307580192802575,
                            },
                            {
                              attributionScore: 0,
                              index: 9,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -2.166666666666667,
                              score: -1.8030076885981896,
                              sentence: {
                                actual: 'Plus, there were a ton of calls on hold, and I was getting pretty stressed trying to get their order and move on to the next caller.',
                                normalized: 'plus there were a ton of calls on hold and i was getting pretty stressed trying to get their order and move on to the next caller',
                                original: 'Plus, there were a ton of calls on hold, and I was getting pretty stressed trying to get their order and move on to the next caller.',
                                tokenized: [
                                  'ton',
                                  'calls',
                                  'hold',
                                  'pretty',
                                  'stressed',
                                  'order',
                                  'move',
                                  'caller',
                                ],
                              },
                              tfidfScore: 0.3636589780684774,
                            },
                            {
                              attributionScore: 0,
                              index: 4,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -3.5833333333333335,
                              score: -2.097662377078021,
                              sentence: {
                                actual: 'After spending the next 19 minutes deciding which pizzeria to call, Wang and Bickell moved into the next phase of the pizza saga, an 11-minute search for a $2 coupon.',
                                normalized: 'after spending the next 19 minutes deciding which pizzeria to call wang and bickell moved into the next phase of the pizza saga an 11minute search for a $2 coupon',
                                original: 'After spending the next 19 minutes deciding which pizzeria to call, Wang and Bickell moved into the next phase of the pizza saga, an 11-minute search for a $2 coupon.',
                                tokenized: [
                                  'spending',
                                  '19',
                                  'minutes',
                                  'deciding',
                                  'pizzeria',
                                  'call',
                                  'wang',
                                  'bickell',
                                  'moved',
                                  'phase',
                                  'pizza',
                                  'saga',
                                  '11minute',
                                  'search',
                                  'coupon',
                                ],
                              },
                              tfidfScore: 1.4856709562553123,
                            },
                            {
                              attributionScore: 0,
                              index: 36,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -2.5,
                              score: -2.2463802483500594,
                              sentence: {
                                actual: 'It\'s kind of hard to really follow the chain of events at that point because, basically, everybody was out of their freaking minds on dope."',
                                normalized: 'its kind of hard to really follow the chain of events at that point because basically everybody was out of their freaking minds on dope"',
                                original: 'It\'s kind of hard to really follow the chain of events at that point because, basically, everybody was out of their freaking minds on dope."',
                                tokenized: [
                                  'kind',
                                  'hard',
                                  'follow',
                                  'chain',
                                  'events',
                                  'point',
                                  'basically',
                                  'freaking',
                                  'minds',
                                  'dope',
                                ],
                              },
                              tfidfScore: 0.25361975164994066,
                            },
                            {
                              attributionScore: 0,
                              index: 28,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -3.958333333333333,
                              score: -2.602626692902297,
                              sentence: {
                                actual: '"I was like, \'Dude, just chill, your pizza will be there any sec.\'" Finally, at 3:10 a.m., more than three hours after the order was placed, the pizza reached its destination.',
                                normalized: '"i was like dude just chill your pizza will be there any sec" finally at 3:10 am more than three hours after the order was placed the pizza reached its destination',
                                original: '"I was like, \'Dude, just chill, your pizza will be there any sec.\'" Finally, at 3:10 a.m., more than three hours after the order was placed, the pizza reached its destination.',
                                tokenized: [
                                  'dude',
                                  'chill',
                                  'pizza',
                                  'sec',
                                  'finally',
                                  '10',
                                  'hours',
                                  'order',
                                  'pizza',
                                  'reached',
                                  'destination',
                                ],
                              },
                              tfidfScore: 1.3557066404310358,
                            },
                            {
                              attributionScore: 0,
                              index: 10,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -2.708333333333333,
                              score: -2.640582655826558,
                              sentence: {
                                actual: 'But, luckily, me and Greg had just toked down this huge-ass fatty in the walk-in cooler, so I was able to maintain a mellow attitude throughout."',
                                normalized: 'but luckily me and greg had just toked down this hugeass fatty in the walkin cooler so i was able to maintain a mellow attitude throughout"',
                                original: 'But, luckily, me and Greg had just toked down this huge-ass fatty in the walk-in cooler, so I was able to maintain a mellow attitude throughout."',
                                tokenized: [
                                  'luckily',
                                  'greg',
                                  'toked',
                                  'hugeass',
                                  'fatty',
                                  'walkin',
                                  'cooler',
                                  'maintain',
                                  'mellow',
                                  'attitude',
                                ],
                              },
                              tfidfScore: 0.06775067750677506,
                            },
                            {
                              attributionScore: 0,
                              index: 12,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -4.041666666666667,
                              score: -3.764413053744216,
                              sentence: {
                                actual: 'Kanner, normally a cashier, was forced to make pizzas that evening due to the absence of regular cook Ronny Poquette, who had skipped work because he was "tripping his ass off."',
                                normalized: 'kanner normally a cashier was forced to make pizzas that evening due to the absence of regular cook ronny poquette who had skipped work because he was "tripping his ass off"',
                                original: 'Kanner, normally a cashier, was forced to make pizzas that evening due to the absence of regular cook Ronny Poquette, who had skipped work because he was "tripping his ass off."',
                                tokenized: [
                                  'kanner',
                                  'cashier',
                                  'forced',
                                  'pizzas',
                                  'evening',
                                  'due',
                                  'absence',
                                  'regular',
                                  'cook',
                                  'ronny',
                                  'poquette',
                                  'skipped',
                                  'work',
                                  'tripping',
                                  'ass',
                                ],
                              },
                              tfidfScore: 0.277253612922451,
                            },
                            {
                              attributionScore: 0,
                              index: 24,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -4.583333333333333,
                              score: -3.8130141564870064,
                              sentence: {
                                actual: 'Approximately 50 minutes into his journey, Behr was heard to exclaim, "Shit, man, I\'ve lived in this town for, like, four years, but I still can\'t think of where the hell Blount Street\'s at.',
                                normalized: 'approximately 50 minutes into his journey behr was heard to exclaim "shit man ive lived in this town for like four years but i still cant think of where the hell blount streets at',
                                original: 'Approximately 50 minutes into his journey, Behr was heard to exclaim, "Shit, man, I\'ve lived in this town for, like, four years, but I still can\'t think of where the hell Blount Street\'s at.',
                                tokenized: [
                                  'approximately',
                                  '50',
                                  'minutes',
                                  'journey',
                                  'behr',
                                  'heard',
                                  'exclaim',
                                  'shit',
                                  'man',
                                  'lived',
                                  'town',
                                  'years',
                                  'blount',
                                  'streets',
                                ],
                              },
                              tfidfScore: 0.7703191768463264,
                            },
                            {
                              attributionScore: 0,
                              index: 38,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -6.7976190476190474,
                              score: -6.357992355573351,
                              sentence: {
                                actual: '"Sadly, for millions of pizzas, interaction with non-stoned humans is simply not an option," Dernier said.',
                                normalized: '"sadly for millions of pizzas interaction with nonstoned humans is simply not an option" dernier said',
                                original: '"Sadly, for millions of pizzas, interaction with non-stoned humans is simply not an option," Dernier said.',
                                tokenized: [
                                  'sadly',
                                  'millions',
                                  'pizzas',
                                  'interaction',
                                  'nonstoned',
                                  'humans',
                                  'simply',
                                  'option',
                                  'dernier',
                                ],
                              },
                              tfidfScore: 0.43962669204569704,
                            },
                            {
                              attributionScore: 0,
                              index: 35,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -7.214285714285714,
                              score: -6.818949343339588,
                              sentence: {
                                actual: 'I think maybe Barbarella was on cable, \'cause I remember some funny shit with these alien space-chicks or something.',
                                normalized: 'i think maybe barbarella was on cable cause i remember some funny shit with these alien spacechicks or something',
                                original: 'I think maybe Barbarella was on cable, \'cause I remember some funny shit with these alien space-chicks or something.',
                                tokenized: [
                                  'barbarella',
                                  'cable',
                                  'remember',
                                  'funny',
                                  'shit',
                                  'alien',
                                  'spacechicks',
                                ],
                              },
                              tfidfScore: 0.395336370946127,
                            },
                            {
                              attributionScore: 0,
                              index: 20,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -9.267857142857142,
                              score: -8.10823488731239,
                              sentence: {
                                actual: '"Not surprisingly, there were still several detours and delays standing between the pizza and its final destination," Dernier said.',
                                normalized: '"not surprisingly there were still several detours and delays standing between the pizza and its final destination" dernier said',
                                original: '"Not surprisingly, there were still several detours and delays standing between the pizza and its final destination," Dernier said.',
                                tokenized: [
                                  'surprisingly',
                                  'detours',
                                  'delays',
                                  'standing',
                                  'pizza',
                                  'final',
                                  'destination',
                                  'dernier',
                                ],
                              },
                              tfidfScore: 1.1596222555447526,
                            },
                            {
                              attributionScore: 0,
                              index: 37,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -9.297619047619047,
                              score: -8.937526735351279,
                              sentence: {
                                actual: 'According to Dernier, the incident is not an isolated one: He estimated that each year in the U. S., as many as 25 million pizzas lead such drug-saturated existences.',
                                normalized: 'according to dernier the incident is not an isolated one: he estimated that each year in the u s as many as 25 million pizzas lead such drugsaturated existences',
                                original: 'According to Dernier, the incident is not an isolated one: He estimated that each year in the U. S., as many as 25 million pizzas lead such drug-saturated existences.',
                                tokenized: [
                                  'dernier',
                                  'incident',
                                  'isolated',
                                  'estimated',
                                  'year',
                                  '25',
                                  'million',
                                  'pizzas',
                                  'lead',
                                  'drugsaturated',
                                  'existences',
                                ],
                              },
                              tfidfScore: 0.36009231226776905,
                            },
                            {
                              attributionScore: 0,
                              index: 29,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -10.38095238095238,
                              score: -8.940187874472265,
                              sentence: {
                                actual: '"By the time [Behr] showed up, the pizza was cold, The X-Files was long over, and we were practically unconscious because we\'d started pulling hits off Wang\'s three-foot Grafix," Bickell said.',
                                normalized: '"by the time [behr] showed up the pizza was cold the xfiles was long over and we were practically unconscious because wed started pulling hits off wangs threefoot grafix" bickell said',
                                original: '"By the time [Behr] showed up, the pizza was cold, The X-Files was long over, and we were practically unconscious because we\'d started pulling hits off Wang\'s three-foot Grafix," Bickell said.',
                                tokenized: [
                                  'time',
                                  'behr',
                                  'showed',
                                  'pizza',
                                  'cold',
                                  'xfiles',
                                  'long',
                                  'practically',
                                  'unconscious',
                                  'started',
                                  'pulling',
                                  'hits',
                                  'wangs',
                                  'threefoot',
                                  'grafix',
                                  'bickell',
                                ],
                              },
                              tfidfScore: 1.4407645064801136,
                            },
                            {
                              attributionScore: 0,
                              index: 39,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -10.714285714285714,
                              score: -9.39607317906694,
                              sentence: {
                                actual: '"That\'s why it\'s crucial that those of us who are not higher than shit on primo weed occasionally take the time to order a pizza to offset this overwhelming imbalance and give some of our pies a chance to be exposed to alternative, non-stoned lifestyles."',
                                normalized: '"thats why its crucial that those of us who are not higher than shit on primo weed occasionally take the time to order a pizza to offset this overwhelming imbalance and give some of our pies a chance to be exposed to alternative nonstoned lifestyles"',
                                original: '"That\'s why it\'s crucial that those of us who are not higher than shit on primo weed occasionally take the time to order a pizza to offset this overwhelming imbalance and give some of our pies a chance to be exposed to alternative, non-stoned lifestyles."',
                                tokenized: [
                                  'crucial',
                                  'higher',
                                  'shit',
                                  'primo',
                                  'weed',
                                  'occasionally',
                                  'time',
                                  'order',
                                  'pizza',
                                  'offset',
                                  'overwhelming',
                                  'imbalance',
                                  'give',
                                  'pies',
                                  'chance',
                                  'exposed',
                                  'alternative',
                                  'nonstoned',
                                  'lifestyles',
                                ],
                              },
                              tfidfScore: 1.3182125352187728,
                            },
                            {
                              attributionScore: 0,
                              index: 6,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -10.714285714285714,
                              score: -9.669881800778107,
                              sentence: {
                                actual: '"It is interesting to note," Dernier said, "that even this coupon, an admittedly secondary aspect of the pizza\'s story, was made by somebody who was also stoned, as evidenced by its offer of \'$2 Offf.\'" The pizza entered the next phase of its THC-soaked existence when pizzeria employee Wayne "Mr. Moondog" Lindeman, a technical-college dropout and noted Austin-area bongo drummer, took the phone order from the two largely incapacitated customers.',
                                normalized: '"it is interesting to note" dernier said "that even this coupon an admittedly secondary aspect of the pizzas story was made by somebody who was also stoned as evidenced by its offer of $2 offf" the pizza entered the next phase of its thcsoaked existence when pizzeria employee wayne "mr moondog" lindeman a technicalcollege dropout and noted austinarea bongo drummer took the phone order from the two largely incapacitated customers',
                                original: '"It is interesting to note," Dernier said, "that even this coupon, an admittedly secondary aspect of the pizza\'s story, was made by somebody who was also stoned, as evidenced by its offer of \'$2 Offf.\'" The pizza entered the next phase of its THC-soaked existence when pizzeria employee Wayne "Mr. Moondog" Lindeman, a technical-college dropout and noted Austin-area bongo drummer, took the phone order from the two largely incapacitated customers.',
                                tokenized: [
                                  'interesting',
                                  'note',
                                  'dernier',
                                  'coupon',
                                  'admittedly',
                                  'secondary',
                                  'aspect',
                                  'pizzas',
                                  'story',
                                  'stoned',
                                  'evidenced',
                                  'offer',
                                  'offf',
                                  'pizza',
                                  'entered',
                                  'phase',
                                  'thcsoaked',
                                  'existence',
                                  'pizzeria',
                                  'employee',
                                  'wayne',
                                  'moondog',
                                  'lindeman',
                                  'technicalcollege',
                                  'dropout',
                                  'noted',
                                  'austinarea',
                                  'bongo',
                                  'drummer',
                                  'phone',
                                  'order',
                                  'largely',
                                  'incapacitated',
                                  'customers',
                                ],
                              },
                              tfidfScore: 1.0444039135076066,
                            },
                            {
                              attributionScore: 0,
                              index: 14,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -10.184523809523808,
                              score: -9.944510343102383,
                              sentence: {
                                actual: 'Almost immediately, it reflected the influence of marijuana in the form of its erroneous meat topping, which had not been ordered by the vegetarian Wang.',
                                normalized: 'almost immediately it reflected the influence of marijuana in the form of its erroneous meat topping which had not been ordered by the vegetarian wang',
                                original: 'Almost immediately, it reflected the influence of marijuana in the form of its erroneous meat topping, which had not been ordered by the vegetarian Wang.',
                                tokenized: [
                                  'immediately',
                                  'reflected',
                                  'influence',
                                  'marijuana',
                                  'form',
                                  'erroneous',
                                  'meat',
                                  'topping',
                                  'ordered',
                                  'vegetarian',
                                  'wang',
                                ],
                              },
                              tfidfScore: 0.24001346642142468,
                            },
                            {
                              attributionScore: 0,
                              index: 0,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -11.642857142857144,
                              score: -10.602886956658912,
                              sentence: {
                                actual: 'AUSTIN, TX–Everyone involved in the preparation, delivery, purchase and consumption of a pizza from Tony\'s New York-Style Pizzeria was thoroughly baked off his ass, it was reported Monday.',
                                normalized: 'austin tx–everyone involved in the preparation delivery purchase and consumption of a pizza from tonys new yorkstyle pizzeria was thoroughly baked off his ass it was reported monday',
                                original: 'AUSTIN, TX–Everyone involved in the preparation, delivery, purchase and consumption of a pizza from Tony\'s New York-Style Pizzeria was thoroughly baked off his ass, it was reported Monday.',
                                tokenized: [
                                  'austin',
                                  'tx',
                                  'involved',
                                  'preparation',
                                  'delivery',
                                  'purchase',
                                  'consumption',
                                  'pizza',
                                  'tonys',
                                  'yorkstyle',
                                  'pizzeria',
                                  'baked',
                                  'ass',
                                  'reported',
                                  'monday',
                                ],
                              },
                              tfidfScore: 1.0399701861982327,
                            },
                            {
                              attributionScore: 0,
                              index: 19,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -12.142857142857144,
                              score: -10.949160217022763,
                              sentence: {
                                actual: 'After an extended wait for delivery driver Kurt Behr to return to the store–reportedly the result of Behr taking an unscheduled break to get high and make out with his girlfriend Christine between delivery runs–the pizza was finally picked up and dispatched to the Wang-Bickell residence.',
                                normalized: 'after an extended wait for delivery driver kurt behr to return to the store–reportedly the result of behr taking an unscheduled break to get high and make out with his girlfriend christine between delivery runs–the pizza was finally picked up and dispatched to the wangbickell residence',
                                original: 'After an extended wait for delivery driver Kurt Behr to return to the store–reportedly the result of Behr taking an unscheduled break to get high and make out with his girlfriend Christine between delivery runs–the pizza was finally picked up and dispatched to the Wang-Bickell residence.',
                                tokenized: [
                                  'extended',
                                  'wait',
                                  'delivery',
                                  'driver',
                                  'kurt',
                                  'behr',
                                  'return',
                                  'store',
                                  'reportedly',
                                  'result',
                                  'behr',
                                  'unscheduled',
                                  'break',
                                  'high',
                                  'girlfriend',
                                  'christine',
                                  'delivery',
                                  'runs',
                                  'pizza',
                                  'finally',
                                  'picked',
                                  'dispatched',
                                  'wangbickell',
                                  'residence',
                                ],
                              },
                              tfidfScore: 1.1936969258343813,
                            },
                            {
                              attributionScore: 0,
                              index: 40,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -11.726190476190476,
                              score: -11.242266719544157,
                              sentence: {
                                actual: 'No charges have been filed in connection with the incident, though Behr was verbally reprimanded later that night by a police officer for sleeping on the hood of his parked delivery vehicle.',
                                normalized: 'no charges have been filed in connection with the incident though behr was verbally reprimanded later that night by a police officer for sleeping on the hood of his parked delivery vehicle',
                                original: 'No charges have been filed in connection with the incident, though Behr was verbally reprimanded later that night by a police officer for sleeping on the hood of his parked delivery vehicle.',
                                tokenized: [
                                  'charges',
                                  'filed',
                                  'connection',
                                  'incident',
                                  'behr',
                                  'verbally',
                                  'reprimanded',
                                  'night',
                                  'police',
                                  'officer',
                                  'sleeping',
                                  'hood',
                                  'parked',
                                  'delivery',
                                  'vehicle',
                                ],
                              },
                              tfidfScore: 0.4839237566463189,
                            },
                            {
                              attributionScore: 0,
                              index: 1,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -13.571428571428573,
                              score: -12.44742997643122,
                              sentence: {
                                actual: '"From its creation at the hands of a stoned-out-of-his-mind pizzeria employee to its eventual consumption by a group of guys so unbelievably high they didn\'t even realize they had mistakenly given the delivery driver a $20 tip, this pizza spent its entire existence in a dense cloud of marijuana fumes," said pizza-industry watchdog Roger Dernier, who has been monitoring the link between pizza production and illegal drug use since 1991.',
                                normalized: '"from its creation at the hands of a stonedoutofhismind pizzeria employee to its eventual consumption by a group of guys so unbelievably high they didnt even realize they had mistakenly given the delivery driver a $20 tip this pizza spent its entire existence in a dense cloud of marijuana fumes" said pizzaindustry watchdog roger dernier who has been monitoring the link between pizza production and illegal drug use since 1991',
                                original: '"From its creation at the hands of a stoned-out-of-his-mind pizzeria employee to its eventual consumption by a group of guys so unbelievably high they didn\'t even realize they had mistakenly given the delivery driver a $20 tip, this pizza spent its entire existence in a dense cloud of marijuana fumes," said pizza-industry watchdog Roger Dernier, who has been monitoring the link between pizza production and illegal drug use since 1991.',
                                tokenized: [
                                  'creation',
                                  'hands',
                                  'stonedoutofhismind',
                                  'pizzeria',
                                  'employee',
                                  'eventual',
                                  'consumption',
                                  'group',
                                  'guys',
                                  'unbelievably',
                                  'high',
                                  'realize',
                                  'mistakenly',
                                  'delivery',
                                  'driver',
                                  '20',
                                  'tip',
                                  'pizza',
                                  'spent',
                                  'entire',
                                  'existence',
                                  'dense',
                                  'cloud',
                                  'marijuana',
                                  'fumes',
                                  'pizzaindustry',
                                  'watchdog',
                                  'roger',
                                  'dernier',
                                  'monitoring',
                                  'link',
                                  'pizza',
                                  'production',
                                  'illegal',
                                  'drug',
                                  '1991',
                                ],
                              },
                              tfidfScore: 1.1239985949973526,
                            },
                            {
                              attributionScore: 0,
                              index: 3,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: -13.571428571428573,
                              score: -12.538955457205038,
                              sentence: {
                                actual: 'According to reports, the pizza–a 16-inch black-olive and green-pepper pie mistakenly topped with extra cheese and sausage–was first conceptualized by area stoner Doug Bickell at approximately 11:30 p.m. Sunday, when he said to housemate Bob Wang during a rewatching of that evening\'s videotaped X-Files episode, "Hey, Wangster, how\'s about we dial up some killer chow?" Though the pizza was merely a potentiality at that point, the food item\'s 100-percent-stoned life cycle had already begun, as both Bickell and Wang "had a major buzz on."',
                                normalized: 'according to reports the pizza–a 16inch blackolive and greenpepper pie mistakenly topped with extra cheese and sausage–was first conceptualized by area stoner doug bickell at approximately 11:30 pm sunday when he said to housemate bob wang during a rewatching of that evenings videotaped xfiles episode "hey wangster hows about we dial up some killer chow?" though the pizza was merely a potentiality at that point the food items 100percentstoned life cycle had already begun as both bickell and wang "had a major buzz on"',
                                original: 'According to reports, the pizza–a 16-inch black-olive and green-pepper pie mistakenly topped with extra cheese and sausage–was first conceptualized by area stoner Doug Bickell at approximately 11:30 p.m. Sunday, when he said to housemate Bob Wang during a rewatching of that evening\'s videotaped X-Files episode, "Hey, Wangster, how\'s about we dial up some killer chow?" Though the pizza was merely a potentiality at that point, the food item\'s 100-percent-stoned life cycle had already begun, as both Bickell and Wang "had a major buzz on."',
                                tokenized: [
                                  'reports',
                                  'pizza',
                                  '16inch',
                                  'blackolive',
                                  'greenpepper',
                                  'pie',
                                  'mistakenly',
                                  'topped',
                                  'extra',
                                  'cheese',
                                  'sausage',
                                  'conceptualized',
                                  'area',
                                  'stoner',
                                  'doug',
                                  'bickell',
                                  'approximately',
                                  '11',
                                  '30',
                                  'pm',
                                  'sunday',
                                  'housemate',
                                  'bob',
                                  'wang',
                                  'rewatching',
                                  'evenings',
                                  'videotaped',
                                  'xfiles',
                                  'episode',
                                  'hey',
                                  'wangster',
                                  'hows',
                                  'dial',
                                  'killer',
                                  'chow',
                                  'pizza',
                                  'potentiality',
                                  'point',
                                  'food',
                                  'items',
                                  '100percentstoned',
                                  'life',
                                  'cycle',
                                  'begun',
                                  'bickell',
                                  'wang',
                                  'major',
                                  'buzz',
                                ],
                              },
                              tfidfScore: 1.0324731142235344,
                            },
                          ],
                          title: 'Everyone Involved In Pizza\'s Preparation, Delivery, Purchase Extremely High',
                          topItems: [
                            {
                              index: -1,
                              sentence: {
                                actual: 'Everyone Involved In Pizza\'s Preparation, Delivery, Purchase Extremely High',
                                normalized: 'everyone involved in pizzas preparation delivery purchase extremely high',
                                original: 'Everyone Involved In Pizza\'s Preparation, Delivery, Purchase Extremely High',
                                tokenized: [
                                  'involved',
                                  'pizzas',
                                  'preparation',
                                  'delivery',
                                  'purchase',
                                  'extremely',
                                  'high',
                                ],
                              },
                            },
                            {
                              attributionScore: 0,
                              index: 11,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.7659762613507658,
                              sentence: {
                                actual: 'After taking the order, Lindeman relayed it to co-worker and fellow stoner Greg Kanner.',
                                normalized: 'after taking the order lindeman relayed it to coworker and fellow stoner greg kanner',
                                original: 'After taking the order, Lindeman relayed it to co-worker and fellow stoner Greg Kanner.',
                                tokenized: [
                                  'order',
                                  'lindeman',
                                  'relayed',
                                  'coworker',
                                  'fellow',
                                  'stoner',
                                  'greg',
                                  'kanner',
                                ],
                              },
                              tfidfScore: 0.7659762613507658,
                            },
                            {
                              attributionScore: 0,
                              index: 13,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 1.5766339264971847,
                              sentence: {
                                actual: 'At 1 a.m. Monday, the pizza came into material being for the first time.',
                                normalized: 'at 1 am monday the pizza came into material being for the first time',
                                original: 'At 1 a.m. Monday, the pizza came into material being for the first time.',
                                tokenized: [
                                  'monday',
                                  'pizza',
                                  'material',
                                  'time',
                                ],
                              },
                              tfidfScore: 1.5766339264971847,
                            },
                            {
                              attributionScore: 0,
                              index: 16,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 1.4015677324244655,
                              sentence: {
                                actual: '"After all, it\'s just pizza, right?',
                                normalized: '"after all its just pizza right?',
                                original: '"After all, it\'s just pizza, right?',
                                tokenized: [
                                  'pizza',
                                ],
                              },
                              tfidfScore: 1.4015677324244655,
                            },
                            {
                              attributionScore: 0,
                              index: 21,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.46875318377243924,
                              sentence: {
                                actual: '"For one, Behr went to the wrong address at least four times.',
                                normalized: '"for one behr went to the wrong address at least four times',
                                original: '"For one, Behr went to the wrong address at least four times.',
                                tokenized: [
                                  'behr',
                                  'wrong',
                                  'address',
                                  'times',
                                ],
                              },
                              tfidfScore: 0.46875318377243924,
                            },
                            {
                              attributionScore: 0,
                              index: 22,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.8816670744475258,
                              sentence: {
                                actual: 'Also, Bickell and Wang had forgotten to include their apartment number with the order.',
                                normalized: 'also bickell and wang had forgotten to include their apartment number with the order',
                                original: 'Also, Bickell and Wang had forgotten to include their apartment number with the order.',
                                tokenized: [
                                  'bickell',
                                  'wang',
                                  'forgotten',
                                  'include',
                                  'apartment',
                                  'number',
                                  'order',
                                ],
                              },
                              tfidfScore: 0.8816670744475258,
                            },
                            {
                              attributionScore: 0,
                              index: 25,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.6004265117467663,
                              sentence: {
                                actual: 'Fuck!" Behr later described the prolonged Blount Street search as "a serious fucking hassle."',
                                normalized: 'fuck!" behr later described the prolonged blount street search as "a serious fucking hassle"',
                                original: 'Fuck!" Behr later described the prolonged Blount Street search as "a serious fucking hassle."',
                                tokenized: [
                                  'fuck',
                                  'behr',
                                  'prolonged',
                                  'blount',
                                  'street',
                                  'search',
                                  'fucking',
                                  'hassle',
                                ],
                              },
                              tfidfScore: 0.6004265117467663,
                            },
                            {
                              attributionScore: 0,
                              index: 27,
                              liScore: 0,
                              nodeScore: 0,
                              readabilityScore: 0,
                              score: 0.6699871943774383,
                              sentence: {
                                actual: '"They were seriously bitching me out," said Lindeman, who was royally baked at the time.',
                                normalized: '"they were seriously bitching me out" said lindeman who was royally baked at the time',
                                original: '"They were seriously bitching me out," said Lindeman, who was royally baked at the time.',
                                tokenized: [
                                  'bitching',
                                  'lindeman',
                                  'royally',
                                  'baked',
                                  'time',
                                ],
                              },
                              tfidfScore: 0.6699871943774383,
                            },
                          ],
                        },
                      },
                    },
                    schema: {
                      additionalProperties: false,
                      properties: {
                        abstractive: {
                          items: {
                            type: 'string',
                          },
                          type: 'array',
                        },
                        extractive: {
                          items: {
                            type: 'string',
                          },
                          type: 'array',
                        },
                        items: {
                          items: {
                            $ref: '#/components/schemas/SummarizationItem',
                          },
                          type: 'array',
                        },
                        title: {
                          type: 'string',
                        },
                        topItems: {
                          items: {
                            $ref: '#/components/schemas/SummarizationItem',
                          },
                          type: 'array',
                        },
                      },
                      type: 'object',
                    },
                  },
                },
                description: 'Success',
              },
              400: {
                description: 'Invalid input',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'detail (GET)',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'https://ssfy.sh/dev/synopsis@15f060e3/detail?url=https%3A%2F%2Fwww.theonion.com%2Feveryone-involved-in-pizzas-preparation-delivery-purc-1819564897'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'https://ssfy.sh/dev/synopsis@15f060e3/detail',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
        '/dev/synopsis@15f060e3/extract': {
          get: {
            description: 'Extracts the main article content from a webpage or article, in addition to lots of useful metadata.',
            operationId: 'extractGET',
            parameters: [
              {
                description: 'Link to website to process.',
                in: 'query',
                name: 'url',
                required: true,
                schema: {
                  description: 'Link to website to process.',
                  example: 'https://www.theonion.com/everyone-involved-in-pizzas-preparation-delivery-purc-1819564897',
                  type: 'string',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      'The Onion': {
                        description: undefined,
                        summary: 'The Onion',
                        value: {
                          author: null,
                          description: 'AUSTIN, TX–Everyone involved in the preparation, delivery, purchase and consumption of a pizza from Tony\'s New York-Style Pizzeria was thoroughly baked off his ass, it was reported Monday.',
                          text: `AUSTIN, TX–Everyone involved in the preparation, delivery, purchase and consumption of a pizza from Tony's New York-Style Pizzeria was thoroughly baked off his ass, it was reported Monday.␊
                          ␊
                          "From its creation at the hands of a stoned-out-of-his-mind pizzeria employee to its eventual consumption by a group of guys so unbelievably high they didn't even realize they had mistakenly given the delivery driver a $20 tip, this pizza spent its entire existence in a dense cloud of marijuana fumes," said pizza-industry watchdog Roger Dernier, who has been monitoring the link between pizza production and illegal drug use since 1991. "In the brief time this pizza spent on Earth, at no point did it come into contact with a single non-stoned human being."␊
                          ␊
                          According to reports, the pizza–a 16-inch black-olive and green-pepper pie mistakenly topped with extra cheese and sausage–was first conceptualized by area stoner Doug Bickell at approximately 11:30 p.m. Sunday, when he said to housemate Bob Wang during a rewatching of that evening's videotaped X-Files episode, "Hey, Wangster, how's about we dial up some killer chow?" Though the pizza was merely a potentiality at that point, the food item's 100-percent-stoned life cycle had already begun, as both Bickell and Wang "had a major buzz on."␊
                          ␊
                          After spending the next 19 minutes deciding which pizzeria to call, Wang and Bickell moved into the next phase of the pizza saga, an 11-minute search for a $2 coupon. After an exhaustive search, it was finally found on the coffee table directly next to the phone.␊
                          ␊
                          "It is interesting to note," Dernier said, "that even this coupon, an admittedly secondary aspect of the pizza's story, was made by somebody who was also stoned, as evidenced by its offer of '$2 Offf.'"␊
                          ␊
                          The pizza entered the next phase of its THC-soaked existence when pizzeria employee Wayne "Mr. Moondog" Lindeman, a technical-college dropout and noted Austin-area bongo drummer, took the phone order from the two largely incapacitated customers.␊
                          ␊
                          "It took me a while to figure out what they wanted," Lindeman said. "When I was listing off the toppings we've got, they kept asking if they could get, like, Fritos or sandwiches on the pizza. Plus, there were a ton of calls on hold, and I was getting pretty stressed trying to get their order and move on to the next caller. But, luckily, me and Greg had just toked down this huge-ass fatty in the walk-in cooler, so I was able to maintain a mellow attitude throughout."␊
                          ␊
                          After taking the order, Lindeman relayed it to co-worker and fellow stoner Greg Kanner. Kanner, normally a cashier, was forced to make pizzas that evening due to the absence of regular cook Ronny Poquette, who had skipped work because he was "tripping his ass off."␊
                          ␊
                          At 1 a.m. Monday, the pizza came into material being for the first time. Almost immediately, it reflected the influence of marijuana in the form of its erroneous meat topping, which had not been ordered by the vegetarian Wang.␊
                          ␊
                          "I wasn't really trained to do what I was doing, but I figured, shit, how hard can it be?" Kanner said. "After all, it's just pizza, right? But I was so high, I got kind of confused about the toppings. It was no big deal, though."␊
                          ␊
                          After an extended wait for delivery driver Kurt Behr to return to the store–reportedly the result of Behr taking an unscheduled break to get high and make out with his girlfriend Christine between delivery runs–the pizza was finally picked up and dispatched to the Wang-Bickell residence.␊
                          ␊
                          "Not surprisingly, there were still several detours and delays standing between the pizza and its final destination," Dernier said. "For one, Behr went to the wrong address at least four times. Also, Bickell and Wang had forgotten to include their apartment number with the order. Furthermore, Behr ran out of gas about 10 minutes into the trip and had to walk to a nearby station with a gas can to get more."␊
                          ␊
                          Approximately 50 minutes into his journey, Behr was heard to exclaim, "Shit, man, I've lived in this town for, like, four years, but I still can't think of where the hell Blount Street's at. Fuck!" Behr later described the prolonged Blount Street search as "a serious fucking hassle."␊
                          ␊
                          Matters were further complicated by the five phone calls Bickell and Wang made to the pizzeria to inquire about the status of their pizza. "They were seriously bitching me out," said Lindeman, who was royally baked at the time. "I was like, 'Dude, just chill, your pizza will be there any sec.'"␊
                          ␊
                          Finally, at 3:10 a.m., more than three hours after the order was placed, the pizza reached its destination.␊
                          ␊
                          "By the time [Behr] showed up, the pizza was cold, The X-Files was long over, and we were practically unconscious because we'd started pulling hits off Wang's three-foot Grafix," Bickell said. "But he said we could have it free, so we weren't pissed or nothing. We invited him in and the three of us just pulled bingers and chowed that shit down. It's, like, against the Wangster's beliefs and shit to eat sausage and pepperoni, but he was cool about it. To tell you the truth, I don't think he even noticed."␊
                          ␊
                          Added Bickell: "Then we all just sat back and vegged out. I think maybe Barbarella was on cable, 'cause I remember some funny shit with these alien space-chicks or something. It's kind of hard to really follow the chain of events at that point because, basically, everybody was out of their freaking minds on dope."␊
                          ␊
                          According to Dernier, the incident is not an isolated one: He estimated that each year in the U. S., as many as 25 million pizzas lead such drug-saturated existences.␊
                          ␊
                          "Sadly, for millions of pizzas, interaction with non-stoned humans is simply not an option," Dernier said. "That's why it's crucial that those of us who are not higher than shit on primo weed occasionally take the time to order a pizza to offset this overwhelming imbalance and give some of our pies a chance to be exposed to alternative, non-stoned lifestyles."␊
                          ␊
                          No charges have been filed in connection with the incident, though Behr was verbally reprimanded later that night by a police officer for sleeping on the hood of his parked delivery vehicle.`,
                          title: 'Everyone Involved In Pizza\'s Preparation, Delivery, Purchase Extremely High',
                        },
                      },
                    },
                    schema: {
                      additionalProperties: true,
                      properties: {},
                      type: 'object',
                    },
                  },
                },
                description: 'Success',
              },
              400: {
                description: 'Invalid input',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'extract (GET)',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'https://ssfy.sh/dev/synopsis@15f060e3/extract?url=https%3A%2F%2Fwww.theonion.com%2Feveryone-involved-in-pizzas-preparation-delivery-purc-1819564897'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'https://ssfy.sh/dev/synopsis@15f060e3/extract',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
        '/dev/synopsis@15f060e3/summarize': {
          get: {
            description: `Summarizes the content of any `url` or `input` text.␊
            ␊
            Must provide either `url` or `input`.␊
            ␊
            Returns the summary as an array of strings / sentences.`,
            operationId: 'summarizeGET',
            parameters: [
              {
                description: 'Link to website to summarize.',
                in: 'query',
                name: 'url',
                schema: {
                  description: 'Link to website to summarize.',
                  example: 'https://www.theonion.com/fun-toy-banned-because-of-three-stupid-dead-kids-1819565691',
                  type: 'string',
                },
              },
              {
                description: 'Text or HTML to summarize.',
                in: 'query',
                name: 'input',
                schema: {
                  description: 'Text or HTML to summarize.',
                  type: 'string',
                },
              },
              {
                description: 'Title of `input` content.',
                in: 'query',
                name: 'title',
                schema: {
                  description: 'Title of `input` content.',
                  type: 'string',
                },
              },
              {
                description: `Optional number of sentences to produce. Default is to␊
                infer a reasonable number based on the input's length.`,
                in: 'query',
                name: 'numSentences',
                schema: {
                  description: `Optional number of sentences to produce. Default is to␊
                  infer a reasonable number based on the input's length.`,
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum number of sentences to produce.',
                in: 'query',
                name: 'minNumSentences',
                schema: {
                  default: 1,
                  description: 'Optional minimum number of sentences to produce.',
                  type: 'number',
                },
              },
              {
                description: 'Optional maximum number of sentences to produce.',
                in: 'query',
                name: 'maxNumSentences',
                schema: {
                  default: 1000,
                  description: 'Optional maximum number of sentences to produce.',
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum image width when considering images in HTML.',
                in: 'query',
                name: 'minImageWidth',
                schema: {
                  default: 400,
                  description: 'Optional minimum image width when considering images in HTML.',
                  type: 'number',
                },
              },
              {
                description: 'Optional minimum image height when considering images in HTML.',
                in: 'query',
                name: 'minImageHeight',
                schema: {
                  default: 300,
                  description: 'Optional minimum image height when considering images in HTML.',
                  type: 'number',
                },
              },
              {
                description: 'Whether or not to consider source media during summarization.',
                in: 'query',
                name: 'media',
                schema: {
                  default: false,
                  description: 'Whether or not to consider source media during summarization.',
                  type: 'boolean',
                },
              },
            ],
            responses: {
              200: {
                content: {
                  'application/json': {
                    examples: {
                      'The Onion 1': {
                        description: 'Summarizes an Onion article',
                        summary: 'The Onion 1',
                        value: [
                          'Fun Toy Banned Because Of Three Stupid Dead Kids',
                          'So now we have to do a full recall and halt production on what was a really awesome toy.',
                          'What a waste."',
                          'But now I\'ll never see it again, all because three stupid idiots had to go and wreck everything."',
                          '"She thought the broken shards were candy.',
                          'That\'s what you\'d assume after breaking a plastic, inedible toy, right?',
                          'If you\'re 11 years old, you should know that it\'s impossible to fly.',
                          'And poor Wizco\'s probably going to go bankrupt because of this shit."',
                        ],
                      },
                      'The Onion 2': {
                        description: 'Summarizes an Onion article',
                        summary: 'The Onion 2',
                        value: [
                          'Plan To Get Laid At DragonCon 2001 Fails',
                          '"I know a lot of girls online, but that\'s not really the same," Melcher said.',
                          '"I imagined some girl and I talking about the new Lord Of The Rings movie," Melcher said.',
                          '"I guess girls aren\'t into dragons and superheroes as much as guys are," Melcher said.',
                          'She had the boots and the fishnet stockings and everything," Melcher said.',
                          '"Andy and I went to this Sailor Moon thing because we knew girls would be there," Melcher said.',
                          '"This one girl asked me if I wrote fan fiction, and I said yes," Melcher said.',
                          'The following night, Melcher attended a party he had heard about in an online chat room.',
                          '"The next day, Andy had to drive the whole way home while I slept in the back seat," Melcher said.',
                        ],
                      },
                      'The Onion 3': {
                        description: 'Summarizes an Onion article',
                        summary: 'The Onion 3',
                        value: [
                          'Everyone Involved In Pizza\'s Preparation, Delivery, Buy Extremely High',
                          'After taking the order, Lindeman relayed it to co-worker and fellow stoner Greg Kanner.',
                          'At 1 a.m. Monday, the pizza came into material being for the first time.',
                          '"After all, it\'s just pizza, right?',
                          '"For one, Behr went to the wrong discuss at least four times.',
                          'Also, Bickell and Wang had forgotten to include their apartment number with the order.',
                          'Fuck!" Behr later described the prolonged Blount Street search as "a serious fucking hassle."',
                          '"They were seriously bitching me out," said Lindeman, who was royally baked at the time.',
                        ],
                      },
                      'Wait But Why': {
                        description: 'Summarizes a blog post',
                        summary: 'Wait But Why',
                        value: [
                          'The Artificial Intelligence Revolution: Part 1 - Wait But Why',
                          'Our own experience makes us stubborn old men about the future.',
                          'AI is a broad topic.',
                          'We use AI all the time in our daily lives, but we often don’t realize it’s AI.',
                          'AI is the brain, and the robot is its body—if it even has a body.',
                          'As of now, the human brain is the most complex object in the known universe.',
                          'Make AI that can beat any human in chess?',
                          'The human brain has 100 billion.',
                          'Building a computer as powerful as the brain is possible—our own brain’s evolution is proof.',
                          'Some debate about how soon AI will reach human-level general intelligence.',
                          'A computer is able to understand the world around it as well as a human four-year-old.',
                        ],
                      },
                    },
                    schema: {
                      items: {
                        type: 'string',
                      },
                      type: 'array',
                    },
                  },
                },
                description: 'Success',
              },
              400: {
                description: 'Invalid input',
              },
              429: {
                description: 'Rate limit exceeded',
              },
            },
            summary: 'summarize (GET)',
            tags: [
              'Endpoints',
            ],
            'x-code-samples': [
              {
                label: 'cURL',
                lang: 'bash',
                source: `curl \\␊
                  'https://ssfy.sh/dev/synopsis@15f060e3/summarize?url=https%3A%2F%2Fwww.theonion.com%2Ffun-toy-banned-because-of-three-stupid-dead-kids-1819565691'`,
              },
              {
                label: 'Node.js',
                lang: 'javascript',
                source: `const request = require('request')␊
                const fs = require('fs')␊
                ␊
                const options = {␊
                  url: 'https://ssfy.sh/dev/synopsis@15f060e3/summarize',␊
                  qs: ,␊
                  json: true␊
                }␊
                ␊
                request(options, (error, response, body) => {␊
                  if (error) throw new Error(error)␊
                ␊
                  console.log(body)␊
                })`,
              },
            ],
          },
        },
      },
      security: [
        {
          'API Key': [],
        },
      ],
      servers: [
        {
          url: 'https://ssfy.sh',
        },
      ],
      tags: [
        {
          name: 'Endpoints',
          'x-displayName': 'Endpoints',
        },
      ],
    }
